%global appid org.gnome.gitlab.somas.Apostrophe
%global libadwaita_version 1.5

%global forgeurl https://gitlab.gnome.org/World/%{name}
%global tag v%{version}

# 3rd-party libs
#   * reveal.js
%global reveal_js_version 4.6.0

Name:           apostrophe
Version:        3.0
%forgemeta
Release:        %autorelease
Epoch:          1
Summary:        Distraction free Markdown editor for GNU/Linux made with GTK+

# Entire source code is GPL-3.0-or-later except:
#   * GPL-2.0-only:     help/stump/
#   * LGPL-2.1-only:    apostrophe/plugins/bibtex/gi_composites.py
#   * MIT:              apostrophe/latex_to_PNG.py
#                       apostrophe/plugins/bibtex/fuzzywuzzy/
#                       reveal.js
License:        GPL-3.0-or-later and GPL-2.0-only and LGPL-2.1-only and MIT
URL:            https://apps.gnome.org/Apostrophe
Source0:        %{forgesource}
Source1:        https://github.com/hakimel/reveal.js/archive/%{reveal_js_version}/reveal.js-%{reveal_js_version}.tar.gz

BuildArch:      noarch

BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  meson >= 0.53.0
BuildRequires:  python3-devel >= 3.8
BuildRequires:  python3-setuptools
BuildRequires:  sassc

BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1) >= %{libadwaita_version}

Requires:       gspell
Requires:       hicolor-icon-theme
Requires:       libadwaita >= %{libadwaita_version}
Requires:       libspelling
Requires:       mozilla-fira-mono-fonts
Requires:       mozilla-fira-sans-fonts
Requires:       python3-cairo
Requires:       python3-chardet
Requires:       python3-enchant
Requires:       python3-Levenshtein
Requires:       python3-pypandoc
Requires:       python3-regex
Requires:       webkitgtk6.0

Provides:       bundled(reveal-js) = %{reveal_js_version}

%description
Apostrophe is a GTK+ based distraction free Markdown editor, mainly developed by
Wolf Vollprecht and Manuel Genovés. It uses pandoc as backend for markdown
parsing and offers a very clean and sleek user interface.


%prep
%forgeautosetup -p1
%autosetup -n %{name}-v%{version} -D -T -a1

# Fix location for reveal.js lib
sed -i "s|pkgdatadir, 'libs/reveal.js'|'reveal.js-%{reveal_js_version}'|" \
    meson.build

# Bug 1953395 - Apostrophe can't export to HTML.
sed -i "s|/app/share/fonts/FiraSans-Regular.ttf|%{_datadir}/fonts/mozilla-fira/FiraSans-Regular.otf|" \
    data/media/css/web/base.css
sed -i "s|/app/share/fonts/FiraMono-Regular.ttf|%{_datadir}/fonts/mozilla-fira/FiraMono-Regular.otf|" \
    data/media/css/web/base.css

# W: hidden-file-or-dir
rm %{name}/.pylintrc


%build
%meson
%meson_build


%install
%meson_install
%find_lang %{name}


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/%{appid}.desktop


%files -f %{name}.lang
%license LICENSE
%doc README.md AUTHORS tests/markdown_test.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/icons/hicolor/*/*/*.svg
%{_metainfodir}/*.metainfo.xml
%{python3_sitelib}/%{name}/


%changelog
%autochangelog
