%global realname snappy


Name:		erlang-%{realname}
Version:	1.1.2
Release:	%autorelease
Summary:	An Erlang NIF wrapper for Google's snappy library
License:	Apache-2.0
URL:		https://github.com/skunkwerks/%{realname}-erlang-nif
VCS:		scm:git:%{url}.git
Source0:	%{url}/archive/%{version}/%{realname}-%{version}.tar.gz
Patch1:		erlang-snappy-0001-No-bundled-snappy.patch
Patch3:		erlang-snappy-0002-Added-a-check-for-empty-IOLists-during-decompression.patch
BuildRequires:	erlang-rebar
BuildRequires:	gcc-c++
BuildRequires:	snappy-devel


%description
An Erlang NIF wrapper for Google's snappy compressor/decompressor.


%prep
%autosetup -p1 -n %{realname}-erlang-nif-%{version}
rm -rf c_src/snappy


%build
%{erlang_compile}


%install
%{erlang_install}


%check
%{erlang_test}


%files
%doc README.md
%{erlang_appdir}/


%changelog
%autochangelog
