Name:           gimp-fourier-plugin
Version:        0.4.5
Release:        %autorelease
Summary:        Do direct and reverse Fourier Transforms on your image

License:        GPL-3.0-or-later
URL:            https://www.lprp.fr/gimp_plugin_en/
%global forgeurl https://github.com/rpeyron/plugin-gimp-fourier
Source:         %{forgeurl}/archive/v%{version}/plugin-gimp-fourier-%{version}.tar.gz

# Downstream-only: do not install README/license files
#
# This is a nice idea in general, but we would like them installed in
# different places, so we handle them manually.
Patch:          0001-Downstream-only-do-not-install-README-license-files.patch

# Tidy up text-file encoding
# https://github.com/rpeyron/plugin-gimp-fourier/pull/7
Patch:          %{forgeurl}/pull/7.patch

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch:    %{ix86}

BuildRequires:  gcc
BuildRequires:  make

BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  libtool

BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(gimp-2.0)

BuildRequires:  dos2unix

Requires:       gimp

%description
GIMP Plugin to do forward and reverse Fourier Transform. The major advantage of
this plugin is to be able to work with the transformed image inside GIMP. You
can draw or apply filters in fourier space and get the modified image with an
inverse fourier transform. Useful in fixing moire patterns or fixing some
regular banding noise.


%prep
%autosetup -n plugin-gimp-fourier-%{version} -p1


%build
autoreconf --force --install --verbose
%configure
%make_build


%install
%make_install


# Upstream provides no tests.


%files
%doc README.md
%doc README.Moire

%{_libdir}/gimp/2.0/plug-ins/fourier


%changelog
%autochangelog
