%global forgeurl https://gitlab.com/megapixels-org/Megapixels
Version:        1.8.1
%global tag %{version}
%forgemeta

Name:           megapixels
Release:        %autorelease
Summary:        GTK4 camera application that knows how to deal with the media request api

License:        GPL-3.0-or-later
URL:            %{forgeurl}
Source0:        %{forgesource}
Source1:	    post_install.py

Patch0:         0000-patch-build-gschemas.patch

BuildRequires:  gcc
BuildRequires:  meson

BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libfeedback-0.0)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(zbar)
BuildRequires:  pkgconfig(epoxy)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(libjpeg)

BuildRequires:	/usr/bin/xvfb-run
BuildRequires:	/usr/bin/xauth

BuildRequires:	desktop-file-utils
BuildRequires:	libappstream-glib

Requires:       hicolor-icon-theme
# for postprocess.sh
Requires:       dcraw

%description
A GTK4 camera application that knows how to deal with the media request api.
It uses opengl to debayer the raw sensor data for the preview.

%prep
%forgeautosetup -p1
cp %{SOURCE1} .

%build
%meson
%meson_build

%install
%meson_install

%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/*.metainfo.xml

LC_ALL=C.UTF-8 xvfb-run sh <<'SH'
%meson_test
SH

%files
%doc README.md
%license LICENSE
%dir %{_datadir}/megapixels
%dir %{_datadir}/megapixels/config
%{_bindir}/megapixels
%{_bindir}/megapixels-camera-test
%{_bindir}/megapixels-list-devices
%{_datadir}/applications/org.postmarketos.Megapixels.desktop
%{_datadir}/icons/hicolor/scalable/apps/org.postmarketos.Megapixels.svg
%{_datadir}/megapixels/config/pine64,pinephone-1.0.ini
%{_datadir}/megapixels/config/pine64,pinephone-1.1.ini
%{_datadir}/megapixels/config/pine64,pinephone-1.2.ini
%{_datadir}/megapixels/config/pine64,pinetab.ini
%{_datadir}/megapixels/config/xiaomi,scorpio.ini
%{_datadir}/megapixels/config/pine64,pinephone,front.dcp
%{_datadir}/megapixels/config/pine64,pinephone,rear.dcp
%{_datadir}/megapixels/postprocess.sh
%{_datadir}/metainfo/org.postmarketos.Megapixels.metainfo.xml
%{_datadir}/glib-2.0/schemas/org.postmarketos.Megapixels.gschema.xml

%changelog
%autochangelog
