Name:           reuse
Version:        3.0.2
Release:        %autorelease
Summary:        A tool for compliance with the REUSE recommendations
# The CC0-1.0 licence applies to json data files, not code.
# CC-BY-SA-4.0 is applied to documentation.
License:        Apache-2.0 AND CC0-1.0 AND CC-BY-SA-4.0 AND GPL-3.0-or-later
Url:            https://github.com/fsfe/reuse-tool
Source0:        %pypi_source

Patch:          0001-Include-CONTRIBUTING.md-in-sdist.patch
Patch:          0002-Use-importlib-mode-for-pytest.patch

# Build
BuildRequires:  python3-devel
BuildRequires:  gettext
# Test + patching
BuildRequires:  git
BuildRequires:  mercurial
# These are development dependencies in the Poetry config, not build
# dependencies. They are build dependencies for Fedora packaging.
BuildRequires:  %{py3_dist pytest}
BuildRequires:  %{py3_dist Sphinx}
BuildRequires:  %{py3_dist sphinx_rtd_theme}
BuildRequires:  %{py3_dist sphinx-autodoc-typehints}
BuildRequires:  %{py3_dist sphinxcontrib-apidoc}
BuildRequires:  %{py3_dist recommonmark}
BuildRequires:  %{py3_dist furo}
Recommends:     git
Recommends:     mercurial
BuildArch:      noarch

%description
A tool for compliance with the REUSE recommendations. Essentially,
it is a linter that checks for a project's compliance, and a compiler that
generates a project's bill of materials.

%prep
%autosetup -n %{name}-%{version} -S git_am

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel
pushd docs
PBR_VERSION=%{version} sphinx-build-%{python3_version} . html
rm -rf html/.{doctrees,buildinfo}
popd

%install
%pyproject_install

%pyproject_save_files reuse

%check
%pytest

%files -n reuse -f %{pyproject_files}
%license LICENSES/*.txt
%doc README.md CHANGELOG.md docs/html/
%{_bindir}/reuse

%changelog
%autochangelog
