%global modname toot

Name:           %{modname}
Version:        0.43.0
Release:        %autorelease
Summary:        A CLI and TUI tool for interacting with Mastodon

License:        GPLv3
URL:            https://github.com/ihabunek/%{modname}
Source0:        https://github.com/ihabunek/%{modname}/releases/download/%{version}/%{modname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3dist(setuptools-scm) >= 8
BuildRequires:  python3dist(wheel) python3dist(pytest) python3dist(pillow)

%description
Toot is a CLI and TUI tool for interacting with Mastodon instances
from the command line.

%prep
%autosetup -n %{modname}-%{version}
rm -rf %{modname}.egg-info
find . -type f -name "*.py" -exec sed -i '/^#![  ]*\/usr\/bin\/env.*$/ d' {} 2>/dev/null ';'

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install

%check
%{python3} -m pytest -k 'not test_console' --ignore=tests/tui/test_rich_text.py 

%files -n %{modname}
%{_bindir}/toot
%{python3_sitelib}/%{modname}
%{python3_sitelib}/%{modname}-%{version}.dist-info/
%license LICENSE

%changelog
%autochangelog
